#include <cstdio>
#include <cassert>
#define MAXN 1024
#define MAXM 1024
#define MAX 10024

short Ap[MAX];
int A[MAXN][MAXM];
int N, M, Last;
long long Actual, Cost, Suma;
int i, j;

inline void Sort(int Column)
{
	int i, j;
	int nr = 0;

	for (i = 1; i < MAX; ++i)
		Ap[i] = 0;
	for (i = 1; i <= N; ++i)
		++Ap[A[i][Column]];
	for (i = 1; i < MAX; ++i)
		for (j = 1; j <= Ap[i]; ++j)
			A[++nr][Column] = i;
}

int main()
{
	freopen("siruri.in","r",stdin);
	freopen("siruri.out","w",stdout);

	scanf("%d %d", &N, &M);
	assert(1<=N && N<=1000 && 1<=M && M<=1000);
	for (i = 1; i <= N; ++i)
		for (j = 1; j <= M; ++j){
			scanf("%d", &A[i][j]);
			assert(0<=A[i][j] && A[i][j]<=10000);
        }

	for (i = 1; i <= M; ++i)
		Sort(i);

	Suma = 0LL;
	for (i = 1; i <= N; ++i)
		for (j = 1; j <= M; ++j)
			Suma += 1LL*A[i][j];

	Last = 0;
	for (i = 1; i <= N; ++i){
		Actual = 0LL;
		for (j = 1; j <= M; ++j)
			Actual += 1LL*A[i][j];
		Actual *= 1LL*N;
		if (Actual <= Suma) Last = i;
		if (Actual > Suma) break;
	}

	Actual = 0LL;
	for (i = 1; i <= M; ++i)
		Actual += 1LL*A[Last][i];
	Actual *= 1LL*N;

	Cost = 1LL*(Suma - Actual) / N * Last;
	for (i = 1; i < Last; ++i)
		for (j = 1; j <= M ; ++j)
			Cost += 1LL*(A[Last][j] - A[i][j]);

	printf("%lld\n", Cost);

	return 0;
}
